This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1302335 - invalid result from externalusers function
invalid result from externalusers function
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
high Severity high
: ---
: 2
Assigned To: Timothy Asir
sds-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 09:11 EST by Martin Kudlej
Modified: 2016-07-04 08:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2016-01-27 09:11:35 EST
Description of problem:
I've tried to call "externalusers" function with result:
[{"username":"","email":"","role":"","groups":null,"type":0,"status":false,"firstname":"","lastname":"","notificationenabled":false},{"username":"admin","email":"","role":"","groups":null,"type":0,"status":false,"firstname":"","lastname":"","notificationenabled":false},{"username":"testldap","email":"","role":"","groups":null,"type":0,"status":false,"firstname":"","lastname":"","notificationenabled":false}]

There are these issues:
1) there is empty user in result
2) default values of some attributes are not valid values in user list for USM:
 a) "role":""
 b) "groups":null
3) I think that email, firstname nad lastname are not imported from LDAP

Because of these issues admin cannot import some users from LDAP directly into USM.

Version-Release number of selected component (if applicable):
rhscon-core-0.0.7-0.1.alpha1.el7.x86_64
rhscon-ui-0.0.6-0.1.alpha1.el7.noarch
rhscon-ceph-0.0.5-0.1.alpha1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. install and setup ldap server
2. add some users
3. configure ldap authentication to USM
4. call /externalusers function

Actual results:
There are issues in result of externalusers function.

Expected results:
It will be possible to add some users from LDAP into USM. All attributes will have default value as in /users function result or will have value as in LDAP.

Additional info:
/users function result for compare:
[{"username":"admin","email":"admin@localhost","role":"admin","groups":[],"type":0,"status":true,"firstname":"","lastname":"","notificationenabled":false}]
Comment 1 Timothy Asir 2016-01-29 08:23:27 EST
Sent patch to upstream for review: https://review.gerrithub.io/261595
which will address the following issues:
    1) Empty users in the result
    2) Default values for role and group
    3) Added firstname, lastname, type attributes
    4) fixed bulk error messages like "property not supported error"
Comment 3 Timothy Asir 2016-03-02 07:21:21 EST
fixed in version rhscon-core-0.0.8-10.el7.x86_64
Comment 4 Martin Kudlej 2016-07-04 08:10:15 EDT
Tested with 
rhscon-ceph-0.0.29-1.el7scon.x86_64
rhscon-core-0.0.29-1.el7scon.x86_64
rhscon-ui-0.0.43-1.el7scon.noarch
and it works. -->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.